#
View Source Ash.Type.Keyword (ash v2.14.2)

Represents a keyword list, stored as a `:map` in the database.

A builtin type that can be referenced via `:keyword_list`

- `:fields` (`keyword/0`) - Required. The types of the fields in the map, and their constraints.
  If constraints are specified, only those fields will be in the casted map.
  For example:

      fields:  [
        amount: [
          type: :integer,
          constraints: [
            max: 10
          ]
        ],
        currency: [
          type: :string,
          allow_nil?: false,
          constraints: [
            max_length: 3
          ]
        ]
      ]

  allow_nil? is true by default

  - `:type` (`term/0`) - Required.

  - `:allow_nil?` (`boolean/0`) - The default value is `true`.

  - `:constraints` (`keyword/0`) - The default value is `[]`.

# Link to this section Summary

## Functions

field_types(value)

# Link to this section Functions

Link to this function

# field_types(value)

View Source